Subject: Re: Q: how to remove or move submodules?

From: Petr Baudis <[email-masked]>
Date: Wed, 23 Jul 2008 01:22:40 +0200

Hi,

On Sun, Jul 13, 2008 at 02:38:51AM -0400, Rob Sanheim wrote:
> I don't see any info on what the 'right' way is to delete or move
> submodules around in any of the docs.  Normally I end up just hacking
> my way through it and hand modifying the .gitmodules file, but this
> seems wrong.  Is there a recommended way?

  currently, you have to hand-modify the .gitmodules file, then remove
the directory from the working tree and then from the index. In part
inspired by your question, I have submitted patches to add git mv and
git rm support for submodules some time ago, but they probably won't
make it to 1.6.0.

				Petr "Pasky" Baudis